Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Interface LoggingOutput

All Known Subinterfaces:
  LoggingManager

    public interface LoggingOutput

Provides access to the output of the Gradle logging system.

Method Summary
`void` | `addStandardErrorListener(StandardOutputListener listener)` Adds a listener which receives output written to standard error by the Gradle logging system.
`void` | `addStandardOutputListener(StandardOutputListener listener)` Adds a listener which receives output written to standard output by the Gradle logging system.
`void` | `removeStandardErrorListener(StandardOutputListener listener)` Removes a listener on standard error
`void` | `removeStandardOutputListener(StandardOutputListener listener)` Removes a listener on standard output

Method Detail

### addStandardOutputListener

    void addStandardOutputListener(StandardOutputListener listener)

  Adds a listener which receives output written to standard output by the Gradle logging system.

  Parameters:
    `listener` - The listener to add.

### removeStandardOutputListener

    void removeStandardOutputListener(StandardOutputListener listener)

  Removes a listener on standard output

  Parameters:
    `listener` - The listener to remove.

### addStandardErrorListener

    void addStandardErrorListener(StandardOutputListener listener)

  Adds a listener which receives output written to standard error by the Gradle logging system.

  Parameters:
    `listener` - The listener to add.

### removeStandardErrorListener

    void removeStandardErrorListener(StandardOutputListener listener)

  Removes a listener on standard error

  Parameters:
    `listener` - The listener to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD